/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample;

import javax.swing.tree.DefaultMutableTreeNode;

/**
 * @author Masako Okayasu
 */
@SuppressWarnings("serial")
public class XbMyTreeNode extends DefaultMutableTreeNode {

	private long itemOrder;
	private String type;
	private long ID;
	private int Seq;
	private long userItemID;
	private long contextID;

	/**
	 * コンストラクタ
	 */
	public XbMyTreeNode(String title) {
		super(title);
	}

	/**
	 * @return contextID
	 */
	public long getContextID() {
		return contextID;
	}
	/**
	 * @param contextID 設定する contextID
	 */
	public void setContextID(long contextID) {
		this.contextID = contextID;
	}
	/**
	 * @return iD
	 */
	public long getID() {
		return ID;
	}
	/**
	 * @param id 設定する iD
	 */
	public void setID(long id) {
		ID = id;
	}
	/**
	 * @return itemOrder
	 */
	public long getItemOrder() {
		return itemOrder;
	}
	/**
	 * @param itemOrder 設定する itemOrder
	 */
	public void setItemOrder(long itemOrder) {
		this.itemOrder = itemOrder;
	}
	/**
	 * @return seq
	 */
	public int getSeq() {
		return Seq;
	}
	/**
	 * @param seq 設定する seq
	 */
	public void setSeq(int seq) {
		Seq = seq;
	}
	/**
	 * @return type
	 */
	public String getType() {
		return type;
	}
	/**
	 * @param type 設定する type
	 */
	public void setType(String type) {
		this.type = type;
	}
	/**
	 * @return userItemID
	 */
	public long getUserItemID() {
		return userItemID;
	}
	/**
	 * @param userItemID 設定する userItemID
	 */
	public void setUserItemID(long userItemID) {
		this.userItemID = userItemID;
	}
}